<div class="row">
  <div class="col-lg-12">
      <div class="ibox float-e-margins">
          <div class="ibox-title">
              <h3>
                  <strong>Add FAQ</strong>
              </h3>
          </div>
          <div class="ibox-content">
              <form class="form-horizontal" autocomplete="off" (ngSubmit)="addFAQ(f)" #f="ngForm">

                <div class="form-group">
                    <label class="col-sm-2 control-label">Question<i aria-hidden="true" class="mandatory">*</i></label>
                    <div class="col-sm-10 form-input">
                      <input type="text" class="form-control " placeholder = "Question" name="question" #question="ngModel" [(ngModel)]="faqModel.question"
                              required>
                        <div class="error-msg" *ngIf="question.errors && (question.dirty || question.touched || f.submitted)" >
                            <div [hidden]="!question.errors.required">Question is required.</div>
                        </div>
                    </div>                        
                </div>

                <div class="form-group">
                    <label class="col-sm-2 control-label">Answer<i aria-hidden="true" class="mandatory">*</i></label>
                    <div class="col-sm-10 form-input">
                      <textarea class="form-control " rows="5" placeholder = "Answer" name="answer" #answer="ngModel" [(ngModel)]="faqModel.answer"
                              required></textarea>
                        <div class="error-msg" *ngIf="answer.errors && (answer.dirty || answer.touched || f.submitted)" >
                            <div [hidden]="!answer.errors.required">Answer is required.</div>
                        </div>
                    </div>                        
                </div>

                  <div class="form-group">
                      <div class="col-sm-4 col-sm-offset-2">
                          <button class="btn btn-primary" type="submit">Save
                          </button>
                          <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/faq']">Cancel</button>
                      </div>
                  </div>
              </form>
          </div>
      </div>
  </div>
</div>